> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Targets

> A `GET` to the `/targets` endpoint allows your application to retrieve all a tenants Targets.



## OpenAPI

````yaml get /v3/targets
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/targets:
    get:
      tags:
        - Target
      summary: Browse Targets
      description: >-
        A `GET` to the `/targets` endpoint allows your application to retrieve
        all a tenants Targets.
      operationId: targets.index
      parameters:
        - name: page[size]
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Array of `Target`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Target'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    Target:
      type: object
      properties:
        id:
          type: integer
        url:
          type: string
        name:
          type: string
        handle:
          type: string
        template:
          type: string
        description:
          type:
            - string
            - 'null'
        notes:
          type:
            - string
            - 'null'
        condition:
          type:
            - array
            - 'null'
          items: {}
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - url
        - name
        - handle
        - template
        - description
        - notes
        - condition
        - created_at
        - updated_at
      title: Target
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````